summaryrefslogtreecommitdiffstats
path: root/debian/git-daemon-run.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/git-daemon-run.postinst')
-rw-r--r--debian/git-daemon-run.postinst17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/git-daemon-run.postinst b/debian/git-daemon-run.postinst
new file mode 100644
index 0000000..41f6d20
--- /dev/null
+++ b/debian/git-daemon-run.postinst
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+test "$1" = 'configure' || exit 0
+
+getent passwd gitlog >/dev/null || \
+ adduser --system --home /nonexistent --no-create-home gitlog
+getent passwd gitdaemon >/dev/null || \
+ adduser --system --home /nonexistent --no-create-home gitdaemon
+
+# enable git-daemon service
+update-service --add /etc/sv/git-daemon
+
+# restart git-daemon service if it was running
+test -z "$2" || sv -v term git-daemon || :